LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDatabaseAccessListener Interface Referencepublished

is not to be used anymore More...

`import"XDatabaseAccessListener.idl";`

Inheritance diagram for XDatabaseAccessListener:

## Public Member Functions
void | connectionChanged ([in]com::sun::star::lang::EventObject event)
boolean | approveConnectionClosing ([in]com::sun::star::lang::EventObject event)
void | connectionClosing ([in]com::sun::star::lang::EventObject event)
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is not to be used anymore

Deprecated:

## Member Function Documentation

## ◆ approveConnectionClosing()

boolean approveConnectionClosing | ( | [in] com::sun::star::lang::EventObject | event | ) |

## ◆ connectionChanged()

void connectionChanged | ( | [in] com::sun::star::lang::EventObject | event | ) |

## ◆ connectionClosing()

void connectionClosing | ( | [in] com::sun::star::lang::EventObject | event | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XDatabaseAccessListener.idl